FROM openjdk:22-jdk
WORKDIR /app
COPY target/dockerize-app-0.0.1-SNAPSHOT.jar dockerize-app-0.0.1-SNAPSHOT.jar
ENTRYPOINT ["java", "-jar", "dockerize-app-0.0.1-SNAPSHOT.jar"]

# ./mvnw clean package -DskipTests
# docker network create mynetwork
# docker-compose build java_app
# docker-compose up